diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/heartbeat.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/heartbeat.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/heartbeat.js	2013-07-30 22:25:18.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/heartbeat.js	2013-10-22 16:27:09.000000000 -0500
***************
*** 45,51 ****
  			userActiveEvents,
  			winBlurTimeout,
  			frameBlurTimeout = -1,
! 			hasConnectionError = false;
  
  		/**
  		 * Returns a boolean that's indicative of whether or not there is a connection error
--- 45,51 ----
  			userActiveEvents,
  			winBlurTimeout,
  			frameBlurTimeout = -1,
! 			hasConnectionError = null;
  
  		/**
  		 * Returns a boolean that's indicative of whether or not there is a connection error
***************
*** 53,59 ****
  		 * @returns boolean
  		 */
  		this.hasConnectionError = function() {
! 			return hasConnectionError;
  		};
  
  		if ( typeof( window.heartbeatSettings ) == 'object' ) {
--- 53,59 ----
  		 * @returns boolean
  		 */
  		this.hasConnectionError = function() {
! 			return !! hasConnectionError;
  		};
  
  		if ( typeof( window.heartbeatSettings ) == 'object' ) {
***************
*** 108,114 ****
  		}
  
  		// Set error state and fire an event on XHR errors or timeout
! 		function errorstate( error ) {
  			var trigger;
  
  			if ( error ) {
--- 108,114 ----
  		}
  
  		// Set error state and fire an event on XHR errors or timeout
! 		function errorstate( error, status ) {
  			var trigger;
  
  			if ( error ) {
***************
*** 132,145 ****
  						break;
  				}
  
  				if ( trigger && ! self.hasConnectionError() ) {
  					hasConnectionError = true;
! 					$(document).trigger( 'heartbeat-connection-lost', [error] );
  				}
  			} else if ( self.hasConnectionError() ) {
  				errorcount = 0;
  				hasConnectionError = false;
  				$(document).trigger( 'heartbeat-connection-restored' );
  			}
  		}
  
--- 132,151 ----
  						break;
  				}
  
+ 				if ( 503 == status && false === hasConnectionError ) {
+ 					trigger = true;
+ 				}
+ 
  				if ( trigger && ! self.hasConnectionError() ) {
  					hasConnectionError = true;
! 					$(document).trigger( 'heartbeat-connection-lost', [error, status] );
  				}
  			} else if ( self.hasConnectionError() ) {
  				errorcount = 0;
  				hasConnectionError = false;
  				$(document).trigger( 'heartbeat-connection-restored' );
+ 			} else if ( null === hasConnectionError ) {
+ 				hasConnectionError = false;
  			}
  		}
  
***************
*** 213,219 ****
  				connecting = false;
  				next();
  			}).fail( function( jqXHR, textStatus, error ) {
! 				errorstate( textStatus || 'unknown' );
  				self.error( jqXHR, textStatus, error );
  			});
  		}
--- 219,225 ----
  				connecting = false;
  				next();
  			}).fail( function( jqXHR, textStatus, error ) {
! 				errorstate( textStatus || 'unknown', jqXHR.status );
  				self.error( jqXHR, textStatus, error );
  			});
  		}
***************
*** 427,433 ****
  		 */
  		this.enqueue = function( handle, data, dont_overwrite ) {
  			if ( handle ) {
! 				if ( queue.hasOwnProperty( handle ) && dont_overwrite )
  					return false;
  
  				queue[handle] = data;
--- 433,439 ----
  		 */
  		this.enqueue = function( handle, data, dont_overwrite ) {
  			if ( handle ) {
! 				if ( dont_overwrite && this.isQueued( handle ) )
  					return false;
  
  				queue[handle] = data;
***************
*** 440,449 ****
  		 * Check if data with a particular handle is queued
  		 *
  		 * $param string handle The handle for the data
! 		 * $return mixed The data queued with that handle or null
  		 */
  		this.isQueued = function( handle ) {
! 			return queue[handle];
  		};
  	};
  
--- 446,478 ----
  		 * Check if data with a particular handle is queued
  		 *
  		 * $param string handle The handle for the data
! 		 * $return bool Whether some data is queued with this handle
  		 */
  		this.isQueued = function( handle ) {
! 			if ( handle )
! 				return queue.hasOwnProperty( handle );
! 		};
! 
! 		/**
! 		 * Remove data with a particular handle from the queue
! 		 *
! 		 * $param string handle The handle for the data
! 		 * $return void
! 		 */
! 		this.dequeue = function( handle ) {
! 			if ( handle )
! 				delete queue[handle];
! 		};
! 
! 		/**
! 		 * Get data that was enqueued with a particular handle
! 		 *
! 		 * $param string handle The handle for the data
! 		 * $return mixed The data or undefined
! 		 */
! 		this.getQueuedItem = function( handle ) {
! 			if ( handle )
! 				return this.isQueued( handle ) ? queue[handle] : undefined;
  		};
  	};
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/imgareaselect/jquery.imgareaselect.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/imgareaselect/jquery.imgareaselect.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/imgareaselect/jquery.imgareaselect.js	2012-08-22 19:04:18.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/imgareaselect/jquery.imgareaselect.js	2013-09-21 05:43:10.000000000 -0500
***************
*** 1,8 ****
  /*
   * imgAreaSelect jQuery plugin
!  * version 0.9.9
   *
!  * Copyright (c) 2008-2011 Michal Wojciechowski (odyniec.net)
   *
   * Dual licensed under the MIT (MIT-LICENSE.txt)
   * and GPL (GPL-LICENSE.txt) licenses.
--- 1,8 ----
  /*
   * imgAreaSelect jQuery plugin
!  * version 0.9.10
   *
!  * Copyright (c) 2008-2013 Michal Wojciechowski (odyniec.net)
   *
   * Dual licensed under the MIT (MIT-LICENSE.txt)
   * and GPL (GPL-LICENSE.txt) licenses.
***************
*** 117,122 ****
--- 117,125 ----
          /* Document element */
          docElem = document.documentElement,
  
+         /* User agent */
+         ua = navigator.userAgent,
+ 
          /* Various helper variables used throughout the code */
          $p, d, i, o, w, h, adjusted;
  
***************
*** 253,263 ****
       */
      function adjust() {
          /*
!          * Do not adjust if image width is not a positive number. This might
!          * happen when imgAreaSelect is put on a parent element which is then
!          * hidden.
           */
!         if (!$img.width())
              return;
  
          /*
--- 256,266 ----
       */
      function adjust() {
          /*
!          * Do not adjust if image has not yet loaded or if width is not a
!          * positive number. The latter might happen when imgAreaSelect is put
!          * on a parent element which is then hidden.
           */
!         if (!imgLoaded || !$img.width())
              return;
  
          /*
***************
*** 368,374 ****
               * Need to reset the document keypress event handler -- unbind the
               * current handler
               */
!             if ($.imgAreaSelect.keyPress != docKeyPress)
                  $(document).unbind($.imgAreaSelect.keyPress,
                      $.imgAreaSelect.onKeyPress);
  
--- 371,377 ----
               * Need to reset the document keypress event handler -- unbind the
               * current handler
               */
!             if ($.imgAreaSelect.onKeyPress != docKeyPress)
                  $(document).unbind($.imgAreaSelect.keyPress,
                      $.imgAreaSelect.onKeyPress);
  
***************
*** 393,399 ****
           * borderOpacity, borderColor1, and borderColor2 options (which are now
           * deprecated). Borders created with GIF background images are fine.
           */
!         if ($.browser.msie && $border.outerWidth() - $border.innerWidth() == 2) {
              $border.css('margin', 0);
              setTimeout(function () { $border.css('margin', 'auto'); }, 0);
          }
--- 396,402 ----
           * borderOpacity, borderColor1, and borderColor2 options (which are now
           * deprecated). Borders created with GIF background images are fine.
           */
!         if (msie && $border.outerWidth() - $border.innerWidth() == 2) {
              $border.css('margin', 0);
              setTimeout(function () { $border.css('margin', 'auto'); }, 0);
          }
***************
*** 962,973 ****
              $($border[1]).css({ borderStyle: 'dashed', borderColor: o });
  
          /* Append all the selection area elements to the container box */
!         $box.append($area.add($border).add($areaOpera).add($handles));
  
!         if ($.browser.msie) {
!             if (o = $outer.css('filter').match(/opacity=(\d+)/))
                  $outer.css('opacity', o[1]/100);
!             if (o = $border.css('filter').match(/opacity=(\d+)/))
                  $border.css('opacity', o[1]/100);
          }
  
--- 965,976 ----
              $($border[1]).css({ borderStyle: 'dashed', borderColor: o });
  
          /* Append all the selection area elements to the container box */
!         $box.append($area.add($border).add($areaOpera)).append($handles);
  
!         if (msie) {
!             if (o = ($outer.css('filter')||'').match(/opacity=(\d+)/))
                  $outer.css('opacity', o[1]/100);
!             if (o = ($border.css('filter')||'').match(/opacity=(\d+)/))
                  $border.css('opacity', o[1]/100);
          }
  
***************
*** 1076,1081 ****
--- 1079,1089 ----
       */
      this.update = doUpdate;
  
+     /* Do the dreaded browser detection */
+     var msie = (/msie ([\w.]+)/i.exec(ua)||[])[1],
+         opera = /opera/i.test(ua),
+         safari = /webkit/i.test(ua) && !/chrome/i.test(ua);
+ 
      /*
       * Traverse the image's parent elements (up to <body>) and find the
       * highest z-index
***************
*** 1098,1111 ****
       */
      zIndex = options.zIndex || zIndex;
  
!     if ($.browser.msie)
          $img.attr('unselectable', 'on');
  
      /*
       * In MSIE and WebKit, we need to use the keydown event instead of keypress
       */
!     $.imgAreaSelect.keyPress = $.browser.msie ||
!         $.browser.safari ? 'keydown' : 'keypress';
  
      /*
       * There is a bug affecting the CSS cursor property in Opera (observed in
--- 1106,1118 ----
       */
      zIndex = options.zIndex || zIndex;
  
!     if (msie)
          $img.attr('unselectable', 'on');
  
      /*
       * In MSIE and WebKit, we need to use the keydown event instead of keypress
       */
!     $.imgAreaSelect.keyPress = msie || safari ? 'keydown' : 'keypress';
  
      /*
       * There is a bug affecting the CSS cursor property in Opera (observed in
***************
*** 1114,1120 ****
       * event, we're adding an additional div to $box and we're going to toggle
       * it when mouse moves inside the selection area.
       */
!     if ($.browser.opera)
          $areaOpera = div().css({ width: '100%', height: '100%',
              position: 'absolute', zIndex: zIndex + 2 || 2 });
  
--- 1121,1127 ----
       * event, we're adding an additional div to $box and we're going to toggle
       * it when mouse moves inside the selection area.
       */
!     if (opera)
          $areaOpera = div().css({ width: '100%', height: '100%',
              position: 'absolute', zIndex: zIndex + 2 || 2 });
  
***************
*** 1143,1149 ****
       * attribute seems to trigger it. The check is for version 7 and above to
       * accommodate for MSIE 9 running in compatibility mode.
       */
!    if (!imgLoaded && $.browser.msie && $.browser.version >= 7)
          img.src = img.src;
  };
  
--- 1150,1156 ----
       * attribute seems to trigger it. The check is for version 7 and above to
       * accommodate for MSIE 9 running in compatibility mode.
       */
!     if (!imgLoaded && msie && msie >= 7)
          img.src = img.src;
  };
  
